Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.pagestack
Class Page

    java.lang.Object
      com.tonbeller.wcf.pagestack.Page

public class Page
extends java.lang.Object

Author:
  av

Constructor Summary
`Page(java.lang.String page, java.lang.String title)`
`Page(java.lang.String pageId, java.lang.String page, java.lang.String relUri, java.lang.String title)` creates a Page instance that may be added to the PageStack.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getPage()`
`java.lang.String` | `getPageHref()`
`java.lang.String` | `getRelUri()`
`java.lang.String` | `getTitle()`
`int` | `hashCode()`
`void` | `setPage(java.lang.String page)`
`void` | `setRelUri(java.lang.String relUri)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Page

    public Page(java.lang.String page,
                java.lang.String title)

### Page

    public Page(java.lang.String pageId,
                java.lang.String page,
                java.lang.String relUri,
                java.lang.String title)

  creates a Page instance that may be added to the PageStack.

Parameters:
  `pageId` - identifies the page. If a page is added with a pageId that already exists in the stack, the existing page and all pages above will be popped.
  `page` - the uri that will be rendered in href including the context name, e.g. /myapp/test.jsp
  `relUri` - the uri relative to the context name, e.g. /test.jsp
  `title` - the title to display

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getPageHref

    public java.lang.String getPageHref()

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### getRelUri

    public java.lang.String getRelUri()

### setRelUri

    public void setRelUri(java.lang.String relUri)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD